Bug 691429 - [Sandybridge] Intel driver doesn't detect external monitor on HDMI input
Summary: [Sandybridge] Intel driver doesn't detect external monitor on HDMI input
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-28 14:42 UTC by Stephen Gallagher
Modified: 2012-08-07 14:40 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 14:39:57 UTC


Attachments (Terms of Use)
Intel video ROM (64.00 KB, application/binary)
2011-03-28 14:43 UTC, Stephen Gallagher
no flags Details
dmesg with monitor attached (77.03 KB, text/plain)
2011-03-28 14:44 UTC, Stephen Gallagher
no flags Details
Xorg log (31.07 KB, text/plain)
2011-03-28 14:44 UTC, Stephen Gallagher
no flags Details

Description Stephen Gallagher 2011-03-28 14:42:19 UTC
Description of problem:
Attaching an external monitor (in my case, Samsung SyncMaster 2333HD) by HDMI fails. The system does not see the attached monitor.

xrandr output:
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
LVDS1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 344mm x 193mm
   1920x1080      60.0*+
   1400x1050      60.0  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)


Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.14.0-4.fc15.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Connect a monitor by HDMI cable
2.
3.
  
Actual results:


Expected results:


Additional info:
Dell XPS 15 second-gen (Sandy Bridge) with Intel(R) Core(TM) i7-2720QM CPU @ 2.20GHz with integrated Intel graphics.

00:02.0 VGA compatible controller: Intel Corporation Device 0126 (rev 09)

Comment 1 Stephen Gallagher 2011-03-28 14:43:42 UTC
Created attachment 488159 [details]
Intel video ROM

Comment 2 Stephen Gallagher 2011-03-28 14:44:15 UTC
Created attachment 488160 [details]
dmesg with monitor attached

Comment 3 Stephen Gallagher 2011-03-28 14:44:48 UTC
Created attachment 488161 [details]
Xorg log

Comment 4 Stephen Gallagher 2011-04-13 14:06:21 UTC
Please let me know if there is any other data I can provide (or if you'd like me to test a fix).

Comment 5 Stephen Gallagher 2011-05-24 12:57:19 UTC
Just to note, this bug is still unfixed as of Fedora 15 final release.

Comment 6 Hayden James 2011-06-10 14:38:17 UTC
I get this same issue with HDMI and also with a DVI connection.

Comment 7 jeromyj 2011-06-30 03:02:00 UTC
Ive got the same exact problem, HDMI cable to a dvi monitor just shows the fedora logo and the gnome display manger doesnt recognize it.

Comment 8 Scott Lindley 2011-08-01 03:39:10 UTC
I had the same problem with the nVidia driver, using a DVI connection. I know that it doesn't help here, but I ran "yum erase xorg-x11-drv-nvidia" and let the system "revert" to the nouveau driver. I'm back to Dual-Monitor-Heaven.

Comment 9 Otto Mora 2011-09-10 21:39:46 UTC
I am having this same problem with my Thinkpad T420 attached to a docking station, Fedora is not detected the external monitor that is connected via DVI where windows will. If its of any help it has dual Intel® Sandybridge Mobile card with an Nvidia card. As soon as I switched to using a VGA cable it worked. Would be good if you can look into this, happy to provide more debugging info.

Comment 10 Tim Wegener 2011-12-19 04:20:43 UTC
From Bug 736895 Comment 4:

> Sorry, that's how Optimus works.  The non-LVDS digital outputs are only
> connected to the nvidia chip.

Comment 11 Arif Saleem 2012-02-02 10:58:48 UTC
I have this problem with a Dell XPS 15z. (note the z). This is a Dual Core i7 laptop with Intel + nVidia Optimus :

# lspci | grep -i vga
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: nVidia Corporation Device 0df5 (rev a1)

# lsmod |egrep 'nou|i915'
i915                  452926  4 
nouveau               763073  0 
ttm                    68749  1 nouveau
drm_kms_helper         40141  2 i915,nouveau
drm                   225894  7 i915,nouveau,ttm,drm_kms_helper
i2c_algo_bit           13156  2 i915,nouveau
i2c_core               37955  7 videodev,i2c_i801,i915,nouveau,drm_kms_helper,drm,i2c_algo_bit
mxm_wmi                12823  1 nouveau
video                  18932  2 i915,nouveau

This has an HDMI and DisplayPort, but no VGA port. I have an HDMI-capable monitor which is not detected at all :
# xrandr 
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
LVDS1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 344mm x 193mm
   1920x1080      60.0*+   40.0  
   1400x1050      60.0  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)

Does the previous post imply that I'd need Optimus support (via bumblebee) before I can use multi-monitor? I don't think I can disable Optimus in BIOS, but will check again.

Comment 12 Fedora End Of Life 2012-08-07 14:40:01 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.